Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 41579 - Cannot call context menu in Debugger Window columns
Cannot call context menu in Debugger Window columns
Status: CLOSED FIXED
Product: platform
Classification: Unclassified
Component: Outline&TreeTable
3.x
Sun All
: P3 (vote)
: 4.x
Assigned To: _ tboudreau
issues@platform
:
Depends on: 33281
Blocks:
  Show dependency treegraph
 
Reported: 2004-04-01 10:50 UTC by elenas
Modified: 2008-12-22 18:30 UTC (History)
3 users (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description elenas 2004-04-01 10:50:07 UTC
1. Load any Java class into the debugger, set a 
breakpoint, continue and wait for stop.

2. In the Debugger Window, add the Location 
column to the Call Stack view.

3. Click the first row in the Call Stack view; it 
becomes selected. Click left mouse button at the 
Location cell of the first row, then click the 
right button there to call the context menu.

ISSUE: the context menu does not pop up.
This is true for every column except for the 
first column in every view. One cannot call the 
context menu in the column after the left click 
in the cell.

Workaround: make a left click in the next cell 
then make a right click in the desired cell.

It is reproducible on the following product 
configuration:

Product Version: NetBeans IDE 3.5.1 (Build 
200307302351)
IDE Versioning: IDE/1 spec=3.42 impl=200307302351
Operating System: SunOS version 5.8 running on 
sparc
Java: 1.4.2
Comment 1 Jan Jancura 2004-04-05 15:13:37 UTC
this is feature of our TreeTableView - as I know
Comment 2 _ tboudreau 2004-07-29 05:11:00 UTC
This was fixed when I modified the mouse event handling in TTV last week.
Comment 3 Marian Mirilovic 2005-11-01 09:54:37 UTC
verified in NB5.0


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo